
Redmine - Defect #609

no email when an issue status is changed by commit message detection

2008-02-05 08:14 - Kioma Aldecoa

Status: Closed Start date: 2008-02-05

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I have Redmine set up with a cron job to scan commit messages for close keywords.  When I send a commit message with a

keyword to close an issue, Redmine does detect this and change the status, but it doesn't send an email out reflecting the status

change.  When I change the status manually, it does send an email.  I think it should also send an email when the status change is

due to commit message detection.

Associated revisions

Revision 1126 - 2008-02-06 21:02 - Jean-Philippe Lang

Create a journal and send an email when an issue is closed by commit (#609).

The redmine user is found using the committer username or email. Otherwise, the journal is created with anonymous user.

History

#1 - 2008-02-06 21:09 - Jean-Philippe Lang

- Status changed from New to Closed

This issue was already mentionned and is now fixed in r1126.

Now when an issue is closed by commit:

an entry is added in the issue changes history

an email is sent (as if the issue was closed manually)

Note that the author of the change is set to the user whose username or email matches the committer username or email, otherwise author is set to

'anonymous'. A link to the changeset is added in the notes.
